← Back to team overview

opencompute-developers team mailing list archive

[Merge] lp:~nelson-chu/opencompute/add-ocp-pch-job into lp:opencompute/checkbox

 

Nelson Chu has proposed merging lp:~nelson-chu/opencompute/add-ocp-pch-job into lp:opencompute/checkbox.

Requested reviews:
  Open Compute Developers (opencompute-developers)

For more details, see:
https://code.launchpad.net/~nelson-chu/opencompute/add-ocp-pch-job/+merge/205754

Add OCP PCH job
-- 
https://code.launchpad.net/~nelson-chu/opencompute/add-ocp-pch-job/+merge/205754
Your team Open Compute Developers is requested to review the proposed merge of lp:~nelson-chu/opencompute/add-ocp-pch-job into lp:opencompute/checkbox.
=== added file 'data/whitelists/opencompute-certify-local.whitelist'
--- data/whitelists/opencompute-certify-local.whitelist	1970-01-01 00:00:00 +0000
+++ data/whitelists/opencompute-certify-local.whitelist	2014-02-11 12:21:29 +0000
@@ -0,0 +1,43 @@
+# Resource Jobs
+block_device
+cdimage
+cpuinfo
+device
+dmi
+dpkg
+efi
+environment
+gconf
+lsb
+meminfo
+module
+optical_drive
+package
+sleep
+uname
+#Info attachment jobs
+__info__
+cpuinfo_attachment
+dmesg_attachment
+dmi_attachment
+dmidecode_attachment
+efi_attachment
+lspci_attachment
+lshw_attachment
+mcelog_attachment
+meminfo_attachment
+modprobe_attachment
+modules_attachment
+sysctl_attachment
+sysfs_attachment
+udev_attachment
+lsmod_attachment
+acpi_sleep_attachment
+info/hdparm
+info/hdparm_.*.txt
+installer_debug.gz
+info/disk_partitions
+# Actual test cases
+__TC-001-0002-Platform_Controller_Hub__
+TC-001-0002-001-SATA_port
+TC-001-0002-002-USB_2.0

=== added file 'jobs/TC-001-0002-Platform_Controller_Hub.txt'
--- jobs/TC-001-0002-Platform_Controller_Hub.txt	1970-01-01 00:00:00 +0000
+++ jobs/TC-001-0002-Platform_Controller_Hub.txt	2014-02-11 12:21:29 +0000
@@ -0,0 +1,13 @@
+plugin: shell
+name: TC-001-0002-001-SATA_port
+command: check_sata_port
+description:
+ 1. Use dmesg command to gather SATA information.
+ 2. Criteria: SATA port speed up to 6.0Gps.
+
+plugin: shell
+name: TC-001-0002-002-USB_2.0
+command: check_usb_port
+description:
+ 1. Use dmesg command to gather USB information.
+ 2. Criteria: USB version must be 2.0.

=== modified file 'jobs/local.txt.in'
--- jobs/local.txt.in	2013-10-01 00:55:26 +0000
+++ jobs/local.txt.in	2014-02-11 12:21:29 +0000
@@ -109,3 +109,10 @@
 command:
  shopt -s extglob
  cat $CHECKBOX_SHARE/jobs/sniff.txt?(.in)
+
+name: __TC-001-0002-Platform_Controller_Hub__
+plugin: local
+_description: Verify platform controller hub functionality
+command:
+ shopt -s extglob
+ cat $CHECKBOX_SHARE/jobs/TC-001-0002-Platform_Controller_Hub.txt?(.in)

=== added file 'scripts/check_sata_port'
--- scripts/check_sata_port	1970-01-01 00:00:00 +0000
+++ scripts/check_sata_port	2014-02-11 12:21:29 +0000
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright (C) 2010-2013 by Cloud Computing Center for Mobile Applications
+# Industrial Technology Research Institute
+#
+# check_sata_port
+#   1. Use dmesg command to gather SATA information.
+#   2. Criteria: SATA port speed up to 6.0Gps.
+#
+# Authors
+#   Nelson Chu <Nelson.Chu@xxxxxxxxxxx>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3,
+# as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+output=`dmesg |grep -i "SATA link up"| awk '{print $7}'`
+
+if [ $output == "6.0" ]; then
+    echo "Support SATA 6Gps ports"
+    exit 0
+fi
+
+echo "Do not support SATA 6Gps ports"
+exit 1

=== added file 'scripts/check_usb_port'
--- scripts/check_usb_port	1970-01-01 00:00:00 +0000
+++ scripts/check_usb_port	2014-02-11 12:21:29 +0000
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright (C) 2010-2013 by Cloud Computing Center for Mobile Applications
+# Industrial Technology Research Institute
+#
+# check_usb_port
+#   1. Use dmesg command to gather USB information.
+#   2. Criteria: USB version must be 2.0.
+#
+# Authors
+#   Nelson Chu <Nelson.Chu@xxxxxxxxxxx>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3,
+# as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+output=`dmesg |grep -i ehci_hcd:| awk '{print $5}'`
+
+if [ $output == "2.0" ]; then
+    echo "Support USB 2.0 ports"
+    exit 0
+fi
+
+echo "Do not support USB 2.0 ports"
+exit 1


Follow ups